> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wazoo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Undelete world



## OpenAPI

````yaml https://api.wazoo.dev/openapi.json post /v1/worlds/{worldId}/undelete
openapi: 3.0.0
info:
  title: Wazoo Platform API
  version: 0.1.0
  description: >-
    Management-plane API for Wazoo users, Worlds, platform tokens, usage,
    limits, and beta billing.
servers:
  - url: https://api.wazoo.dev
    description: Wazoo Platform API
security:
  - bearerPlatformToken: []
paths:
  /v1/worlds/{worldId}/undelete:
    post:
      tags:
        - Worlds
      summary: Undelete world
      operationId: undeleteWorld
      parameters:
        - schema:
            type: string
          required: true
          name: worldId
          in: path
        - schema:
            type: string
            format: email
          required: false
          name: email
          in: query
          description: >-
            User email to operate on when using an admin token. User tokens
            ignore this parameter.
      responses:
        '200':
          description: Restored World
          content:
            application/json:
              schema:
                type: object
                properties:
                  world:
                    $ref: '#/components/schemas/World'
                required:
                  - world
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
      security:
        - bearerPlatformToken: []
components:
  schemas:
    World:
      type: object
      properties:
        name:
          type: string
        uid:
          type: string
        worldId:
          type: string
        displayName:
          type: string
        region:
          type: string
        state:
          type: string
          enum:
            - ACTIVE
            - SUSPENDED
            - DELETED
        restorable:
          type: boolean
        backend:
          type: string
          enum:
            - worlds-api
        createTime:
          type: string
          format: date-time
        updateTime:
          type: string
          format: date-time
        deleteTime:
          type: string
          format: date-time
        expireTime:
          type: string
          format: date-time
      required:
        - name
        - uid
        - worldId
        - displayName
        - region
        - state
        - restorable
        - backend
  securitySchemes:
    bearerPlatformToken:
      type: http
      scheme: bearer
      bearerFormat: wzp
      description: Wazoo platform API token.

````